---
title: If-Modified-Since
slug: Web/HTTP/Headers/If-Modified-Since
tags:
  - Conditional Requests
  - HTTP
  - HTTP Header
  - Reference
  - Request header
---
<div>{{HTTPSidebar}}</div>

<p>The <strong><code>If-Modified-Since</code></strong> request HTTP header makes the request conditional: the server will send back the requested resource, with a {{HTTPStatus("200")}} status, only if it has been last modified after the given date. If the request has not been modified since, the response will be a {{HTTPStatus("304")}} without any body; the {{HTTPHeader("Last-Modified")}} response header of a previous request will contain the date of last modification. Unlike {{HTTPHeader("If-Unmodified-Since")}}, <code>If-Modified-Since</code> can only be used with a {{HTTPMethod("GET")}} or {{HTTPMethod("HEAD")}}.</p>

<p>When used in combination with {{HTTPHeader("If-None-Match")}}, it is ignored, unless the server doesn't support <code>If-None-Match</code>.</p>

<p>The most common use case is to update a cached entity that has no associated {{HTTPHeader("ETag")}}.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Request header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">If-Modified-Since: &lt;day-name&gt;, &lt;day&gt; &lt;month&gt; &lt;year&gt; &lt;hour&gt;:&lt;minute&gt;:&lt;second&gt; GMT
</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt>&lt;day-name&gt;</dt>
 <dd>One of "Mon", "Tue", "Wed", "Thu", "Fri", "Sat", or "Sun" (case-sensitive).</dd>
 <dt>&lt;day&gt;</dt>
 <dd>2 digit day number, e.g. "04" or "23".</dd>
 <dt>&lt;month&gt;</dt>
 <dd>One of "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" (case sensitive).</dd>
 <dt>&lt;year&gt;</dt>
 <dd>4 digit year number, e.g. "1990" or "2016".</dd>
 <dt>&lt;hour&gt;</dt>
 <dd>2 digit hour number, e.g. "09" or "23".</dd>
 <dt>&lt;minute&gt;</dt>
 <dd>2 digit minute number, e.g. "04" or "59".</dd>
 <dt>&lt;second&gt;</dt>
 <dd>2 digit second number, e.g. "04" or "59".</dd>
 <dt><code>GMT</code></dt>
 <dd>
 <p>Greenwich Mean Time. HTTP dates are always expressed in GMT, never in local time.</p>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre>If-Modified-Since: Wed, 21 Oct 2015 07:28:00 GMT
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("7232", "If-Modified-Since", "3.3")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Conditional Requests</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.If-Modified-Since")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("ETag")}}</li>
 <li>{{HTTPHeader("If-Unmodified-since")}}</li>
 <li>{{HTTPHeader("If-Match")}}</li>
 <li>{{HTTPHeader("If-None-Match")}}</li>
 <li>{{HTTPStatus("304")}}<code> Not Modified</code></li>
</ul>
